# coding: utf-8

# CPIU - a Ruby interface for fetching CPI-U data from BLS.gov
# Copyright (C) 2017 Cody Logan
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'cpiu/version'

Gem::Specification.new do |spec|
  spec.name          = 'cpiu'
  spec.version       = CPIU::VERSION
  spec.authors       = ['Cody Logan']
  spec.email         = ['cody@madrants.net']

  spec.summary       = 'A Ruby interface for getting CPI-U data from BLS.gov'
  spec.homepage      = 'https://github.com/clpo13/cpiu-ruby'

  spec.license       = 'GPL-3.0'

  spec.files = `git ls-files -z`.split("\x0").reject do |f|
    f.match(%r{^(test|spec|features)/})
  end
  spec.bindir = 'exe'
  spec.executables = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ['lib']

  spec.add_development_dependency 'bundler', '~> 1.15'
  spec.add_development_dependency 'rake', '~> 10.0'
  spec.add_development_dependency 'rspec', '~> 3.2'
  spec.add_development_dependency 'webmock', '~> 3.0'
  spec.add_development_dependency 'vcr', '~> 3.0'
  spec.add_development_dependency 'coveralls', '~> 0.8'

  spec.add_dependency 'rest-client', '~> 2.0'
  spec.add_dependency 'json', '~> 2.1'
  spec.add_dependency 'dotenv', '~> 2.2'
end
